package com.lightinit.hsdataportal.model;

import java.util.Date;
//TODO
public class RequirementMicroappViewModel {
    private  long id;
    private Long rqrmntId;
    private Long followId;
    private Long receiveId;
    //主联系人
    private  String contact;
    //主联系电话
    private String phone;
    //预算金额
    private Double money;
    //分类

    private  String  themeName;
    //发布日期
    private Date publishAt;
    //截止日期
    private Date deadline;
    //需求描述
    private  String rqrmntSummary;
    //邮箱
    private String email;
    private  Long viewTimes;
    private String rqrmntState;
    private long coun;

    public String getRqrmntState() {

        return rqrmntState;
    }

    public Long getReceiveId() {
        return receiveId;
    }

    public void setReceiveId(Long receiveId) {
        this.receiveId = receiveId;
    }

    public Long getFollowId() {
        return followId;
    }

    public void setFollowId(Long followId) {
        this.followId = followId;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState;
    }

    public long getCoun() {
        return coun;
    }

    public void setCoun(long coun) {
        this.coun = coun;
    }

    public Long getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(Long viewTimes) {
        this.viewTimes = viewTimes;
    }

    public Long getRqrmntId() {
        return rqrmntId;
    }

    public void setRqrmntId(Long rqrmntId) {
        this.rqrmntId = rqrmntId;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Double getMoney() {
        return money;
    }

    public void setMoney(Double money) {
        this.money = money;
    }


    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }



    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }
}
